Documentation Index
Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
Use this file to discover all available pages before exploring further.
Listar folders
GET /v1/profiles/{profileId}/folders
Solicitud
curl -X GET "http://client-omni-api.argosidentity.com/v1/profiles/{profileId}/folders?sort=createdAt&order=desc" \
-H "x-api-key: your-api-key-here"
Query Parameters
| Parameter | Type | Default | Descripción |
|---|
search | string | | Buscar por nombre de folder |
sort | string | createdAt | Campo de ordenación: name, createdAt, updatedAt |
order | string | desc | Orden: asc, desc |
cursor | string | | Cursor de paginación |
limit | number | 10 | Elementos por página (máx. 100) |
Respuesta
{
"count": 2,
"nextCursor": null,
"items": [
{
"id": "fld_default001",
"profileId": "pf_a1b2c3d4",
"name": "default",
"isDefault": true,
"itemsCount": 2,
"createdAt": "2026-03-15T10:00:00Z",
"updatedAt": "2026-03-15T10:00:00Z"
},
{
"id": "fld_xyz789",
"profileId": "pf_a1b2c3d4",
"name": "Supporting Documents",
"isDefault": false,
"itemsCount": 1,
"createdAt": "2026-03-15T10:30:00Z",
"updatedAt": "2026-03-15T10:30:00Z"
}
]
}
Obtener folder por ID
GET /v1/folders/{folderId}
curl -X GET "http://client-omni-api.argosidentity.com/v1/folders/{folderId}" \
-H "x-api-key: your-api-key-here"
{
"id": "fld_default001",
"profileId": "pf_a1b2c3d4",
"name": "default",
"isDefault": true,
"itemsCount": 2,
"items": [
{
"id": "item_abc123",
"type": "file",
"name": "business_registration.pdf",
"contentType": "application/pdf",
"sizeBytes": 245678,
"createdAt": "2026-03-15T10:10:00Z"
}
],
"createdAt": "2026-03-15T10:00:00Z",
"updatedAt": "2026-03-15T10:10:00Z"
}
Códigos de error
| Status | Code | Descripción |
|---|
| 404 | FOLDER_NOT_FOUND | Folder no encontrado |